| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
LPC13xx Simple blinky example
Peripheral examples

## Detailed Description

Example description
The Blinky example is known as the "Hello, World!" of embedded programming. This example is a slight variation of the blinky theme in that the sysTick interrupt turns on the LED at 10Hz, while timer 1 turns off the LED at 11Hz. The LED on/off state should be slightly out of sync.

Special connection requirements
There are no special connection requirements for this example.

Build procedures:
LPC13xx example quickstart for Code Red Xpresso
LPC13xx example quickstart for Keil uVision4
LPC13xx example quickstart for IAR EWARM

Supported boards and board setup:
NXP Xpresso LPC1347 board

Submitting LPCOpen issues:
Community support for LPCOpen

## Macros
#define | TICKRATE_HZ1 (10) /* 10 ticks per second */
#define | TICKRATE_HZ2 (11) /* 11 ticks per second */

## Functions
void | SysTick_Handler (void)
| Handle interrupt from SysTick timer.
void | TIMER32_0_IRQHandler (void)
| Handle interrupt from 32-bit timer.
int | main (void)
| main routine for blinky example

## Macro Definition Documentation

#define TICKRATE_HZ1 (10) /* 10 ticks per second */

Definition at line 63 of file blinky.c.

#define TICKRATE_HZ2 (11) /* 11 ticks per second */

Definition at line 64 of file blinky.c.

## Function Documentation

int main | ( | void |  | ) |

main routine for blinky example

Main program body.

Returns
  Function should not exit.

defined(CHIP_LPC175X_6X)

Definition at line 103 of file blinky.c.

void SysTick_Handler | ( | void |  | ) |

Handle interrupt from SysTick timer.

SysTick 1mS tick handler.

Returns
  Nothing

Definition at line 82 of file blinky.c.

void TIMER32_0_IRQHandler | ( | void |  | ) |

Handle interrupt from 32-bit timer.

Returns
  Nothing

Definition at line 91 of file blinky.c.